Package org.apache.lucene.queries.intervals

# Interface IntervalMatchesIterator

All Superinterfaces:
  `MatchesIterator`

public interface IntervalMatchesIterator extends MatchesIterator
An extension of MatchesIterator that allows it to be treated as an IntervalIterator

This is necessary to get access to `IntervalIterator.gaps()` and `IntervalIterator.width()` when constructing matches

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `gaps()`
  The number of top-level gaps inside the current match
  `int`
  `width()`
  The width of the current match

  ### Methods inherited from interface org.apache.lucene.search.MatchesIterator

  `endOffset, endPosition, getQuery, getSubMatches, next, startOffset, startPosition`

- ## Method Details

  - ### gaps

    int gaps()
    The number of top-level gaps inside the current match
    See Also:
      - `IntervalIterator.gaps()`

  - ### width

    int width()
    The width of the current match
    See Also:
      - `IntervalIterator.width()`